% initialize the MH by minimizing the - logposterior kernel
T = length(y);
vSwitch = ones(2, 1);
% % The parameters might be bounded, but the minimization routine will not
% % care, thus we need to make sure that the routine can go anywhere and
% % that we are still able to stay within the bounds.
% x0 = boundsINV(guess);
x0 = guess;
objective_function = 'logpostkernel';
% posterior maximization
[fh, xh, gh, H, itct, fcount, retcodeh] = ...
    csminwel('logpostkernel',x0,.01*eye(length(x0)),[],10e-5,1000,centered,y, vSwitch, iPriorScale, prior_location);
% processing the output of the maximization
postmode = xh;
JJ       = jacob(xh);
HH       = JJ * H * JJ';
invhess = HH;

%% Laplace Approximation
estim_params_nbr = size(postmode,2);
scale_factor     = -sum(log10(diag(invhess)));
log_det_invhess  = -estim_params_nbr*log(scale_factor)+log(det(scale_factor*invhess));
likelihood = feval(objective_function,postmode,centered,y, vSwitch, iPriorScale, prior_location);
LaplaceApproximation = .5*estim_params_nbr*log(2*pi) + .5*log_det_invhess - likelihood;
Laplace_constant = .5*estim_params_nbr*log(2*pi);
Laplace_hessian = .5*log_det_invhess;
Laplace_likelihood = - likelihood;

disp(sprintf('Log data density [Laplace approximation] is %f.',LaplaceApproximation))
