function lpostkernel  = logpostkernel(theta, centered, y, vSwitch, iPriorScale, prior_location)

if nargin < 4
    [logpri]                    = logprior(theta, centered, iPriorScale);
else
    [logpri]                    = logprior(theta, centered, iPriorScale, prior_location);
end


% the centered state space
if logpri == -1e10 % out of the support of the prior
    lpostkernel = - logpri;
else
    [dConst, F,H,Q,R , init_x, init_V, G]  = rbcmodel(theta, centered);
    [x, V, VV, loglik]          = kalman_filter(y', F, H, Q, R, dConst, init_x, init_V, vSwitch);
    lpostkernel  = -(loglik + logpri);
end


end