function [logpri]      = logprior(theta, centered, iPriorScale, prior_location)

if nargin < 4
     prior_location = 0.2;
end

logprior = zeros(length(theta),1);

logprior(1)  = log(normpdf(theta(1),0.33,0.05));      % alpha
logprior(2)  = logBetapdf(theta(2),0.7,0.2);          % rho
if centered ==1 
    % centered state space representation inverse gamma prior    
    logprior(3)  = logIG1pdf(theta(3),prior_location,iPriorScale);            % sd technology
    logprior(4)  = logIG1pdf(theta(4),0.20,4);            % sd measurement
   
elseif centered ==2 
    % centered state space representation exponential prior
    logprior(3)  = log(exppdf(theta(3),iPriorScale));      % sd technology
    logprior(4)  = logIG1pdf(theta(4),0.20,4);            % sd measurement
    
elseif centered ==0
    logprior(3)  = log(normpdf(theta(3), prior_location, iPriorScale));         % sd technology
    logprior(4)  = logIG1pdf(theta(4), 0.20, 4);                    % sd measurement
%     logprior(5) = log(normpdf(theta(5),0.00, iPriorScale));          % Constant prior

elseif centered ==3 
    logprior(3)  = log(normpdf(theta(3),0.00, iPriorScale));         % sd technology
    logprior(4)  = logIG1pdf(theta(4), 0.20, 4);                    % sd measurement    
end


if all(isfinite(logprior))==0 || all(isreal(logprior))==0;
    logpri = -1e10;
else 
    logpri = sum(logprior);
end