function [dConst, F, H, Q, R, init_x, init_V, G] = rbcmodel(theta,centered)
    alpha = theta(1);
    rho   = theta(2);
    sigma = theta(3);
    sigme = theta(4);
    if centered ==1 || centered == 2
        % centered state space representation
        F   = [rho, 0; 1, alpha];
        G   = eye(2,1);
        H   = [1, alpha];
        Voo = sigma^2;
        R   = sigme^2;
        dConst = 0; 
        % initialize Kalman filter
        nx     = size(F,1);
        init_x = zeros(nx,1);
        Q      = G * Voo * G';
        P00    = inv(eye(nx^2)-kron(F,F))*reshape(Q,nx^2,1);
        init_V = reshape(P00,nx,nx);    
    elseif centered == 0
        F = [rho, 0; sigma, alpha];
        G = eye(2,1);
        H = [sigma, alpha];
        Voo = 1;
        R   = sigme^2;
%         dConst = theta(5);
        dConst = 0;
        % initialize Kalman filter
        nx     = size(F, 1);
        init_x = zeros(nx,1);
        Q      = G * Voo * G';
        P00    = inv(eye(nx^2)-kron(F,F))*reshape(Q, nx^2, 1); %% Diffuse KF to implement???
        init_V = reshape(P00, nx, nx);    
        W = sigme^2;    
    elseif centered == 3
        F = [rho, 0; 1, alpha];
        G = [sigma; 0];
        H = [1, alpha];
        Voo = 1;
        R   = sigme^2;
        dConst = 0;
        % initialize Kalman filter
        nx     = size(F, 1);
        init_x = zeros(nx,1);
        Q      = G * Voo * G';
        P00    = inv(eye(nx^2)-kron(F,F))*reshape(Q, nx^2, 1); %% Diffuse KF to implement???
        init_V = reshape(P00, nx, nx);    
        W = sigme^2;
    end
end