@#define simul_ = ["zro","sml","med","big"]

//=========================================================================
var
  @#for co in simul_
        // observed variables
        y_@{co}
        // capital quantities
        k_@{co}
        // innovations
        eps_a_@{co}
  @#endfor 
 ;

varexo
	eta_a;  

varexo
    // measurement errors
	em_y;  

parameters	
	alpha 
	rho_a
    @#for co in simul_
        std_a_@{co}
    @#endfor 
;


index = 0;

// fixed parameters
	alpha = 0.33;
	rho_a = 0.95;
    std_a_zro = 0.0;
    std_a_sml = 0.05;
    std_a_med = 0.1;
    std_a_big = 0.3;


// initial values 
shocks;
	var eta_a; stderr 1;
	var em_y; stderr 0.08;
end;

//=========================================================================

model(linear); 
    @#for co in simul_
        k_@{co} = alpha*k_@{co}(-1) + std_a_@{co} * eps_a_@{co};    
        // Shocks
        eps_a_@{co} = rho_a * eps_a_@{co}(-1) + std_a_@{co} * eta_a;
        // Measurement equations
        y_@{co} = alpha * k_@{co}(-1) + eps_a_@{co} + em_y;	
    @#endfor 
end;
//=========================================================================

stoch_simul(nograph,noprint,periods=1500);


save simdata eps_a_zro;
@#for co in simul_
    save simdata y_@{co} -append
@#endfor 

